# $Revision: 1.9 $, $Date: 2007/02/13 07:47:14 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Regexp
%define		pnam	Log
Summary:	Regexp::Log - base class for log files regexp builders
Summary(pl.UTF-8):	Regexp::Log - klasa bazowa do tworzenia wyrażeń regularnych dla plików logów
Name:		perl-Regexp-Log
Version:	0.04
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0047fed2a6b0a1182f2b7d886cfa846c
%{?with_tests:BuildRequires:	perl-Test-Simple}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Regexp::Log is a base class for a variety of modules that generate
regular expressions for performing the usual data munging tasks on log
files that cannot be simply split().

The goal of this module family is to compute regular expressions based
on the configuration string of the log.

%description -l pl.UTF-8
Regexp::Log to klasa bazowa dla różnych modułów generujących wyrażenia
regularne do obrabiania danych z plików logów, których nie wystarczy
tylko potraktować funkcją split().

Celem rodziny modułów jest wyliczanie wyrażeń regularnych oparte na
łańcuchu konfiguracyjnym dla loga.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

# one test seems broken
perl -pi -e 's/"a a /"a /' t/20debug.t

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/%{pdir}/%{pnam}.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Regexp-Log.spec,v $
Revision 1.9  2007/02/13 07:47:14  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.7  2006/10/24 21:46:58  ankry
- ver. 0.04

Revision 1.6  2004/11/03 22:30:41  paladine
- formatting

Revision 1.5  2004/05/06 18:43:21  ankry
- fixed perl-devel BR

Revision 1.4  2004/04/29 20:18:23  ankry
- license cosmetics

Revision 1.3  2004/04/27 15:26:25  ankry
- new bconds

Revision 1.2  2004/01/24 23:57:42  arekm
- autoupdated to 0.02

Revision 1.1  2003/06/18 17:55:27  qboosh
- new

